unit InternalModule;

interface
uses Transformation;

function GetModuleHeader:PModuleHeader;

implementation
uses DCTII, FFTModule, DHYTModule;



procedure Init; cdecl; forward;
procedure Finalize; cdecl; forward;
function GetTransformation(Which : longword) : PTransformation; cdecl; forward;

const
  IntMod : TModuleHeader = (
    hdrVersion : HDR_VER;
    Name : 'Internal Transformations';
    Description : 'Built-in internal transformations';
    Author : '(c) 2001-2002 Rbert Vanya'#13#10'v.robi@naex.sk';
    ID : 1;
    Version : $100;
    Init : Init;
    Finalize : Finalize;
    GetTransformation : GetTransformation;
  );


procedure Init;
begin

end;


procedure Finalize;
begin

end;


function GetTransformation;
begin
  case Which of
    0 : Result:=@DCTII.DCT;
    1 : Result:=@FFTModule.FFT;
//    2 : Result:=@DHYTModule.DHYT;
    else Result:=nil;
  end;
end;


function GetModuleHeader:PModuleHeader;
begin
  Result:=@IntMod;
end;

end.
